Subject: Re: bug#26309: 24.4; vc-git-register doesn't run interactively

From: Dmitry Gutov <[email-masked]>
Date: Thu, 30 Mar 2017 19:31:35 +0300

On 30.03.2017 18:09, Łukasz Stelmach wrote:

> Good to know as I don't always want to commit everything I've
> modified. Thanks for the tip.

VC only commits the files you've selected in the VC-Dir buffer, either way.

> Actually I prefer working with cli (sometimes I do "git rebase -i" a
> lot) but with a handy "git add" next to C-x C-s.
> 
> Please wait for the patch. I'll send it in an hour or two.

To be clear, we're not convinced the patch should be accepted yet.

VC has a particular UI paradigm which smoothes differences between 
different VCS-es, and only Git has the staging area.

That's not to say you can't have what you want in your personal Emacs. 
Creating a command that calls vc-git-register should be trivial.